Developer Documentation

Public Member Functions | List of all members
ACG::GLCylinder Class Reference
Inheritance diagram for ACG::GLCylinder:

## Public Member Functions
| GLCylinder (int _slices, int _stacks, float _radius, bool _bottomCap, bool _topCap)
Public Member Functions inherited from ACG::GLCone
| GLCone (int _slices, int _stacks, float _bottomRadius, float _topRadius, bool _bottomCap_, bool _topCap)
void | draw (GLState &_state, float _height, const ACG::Vec3f &_center=ACG::Vec3f(0.0f, 0.0f, 0.0f), ACG::Vec3f _upDir=ACG::Vec3f(0.0f, 0.0f, 1.0f))
void | addToRenderer (class IRenderer *_renderer, const struct RenderObject *_base, float _height, const ACG::Vec3f &_center=ACG::Vec3f(0.0f, 0.0f, 0.0f), ACG::Vec3f _upDir=ACG::Vec3f(0.0f, 0.0f, 1.0f), float _radiusScale=1.0f)
int | getNumTriangles () override
void | updateVBO () override
void | setBottomRadius (float _bottomRadius)
void | setTopRadius (float _topRadius)
void | setNormalOrientation (NormalOrientation orienation)
Public Member Functions inherited from ACG::GLPrimitive
void | draw_primitive ()
void | draw_primitive (GLSL::Program *_program)
void | addToRenderer_primitive (class IRenderer *_renderer, struct RenderObject *_ro)
virtual int | getNumLines ()
unsigned int | getVBO ()
const VertexDeclaration * | getVertexDecl () const

## Additional Inherited Members
Public Types inherited from ACG::GLPrimitive
enum | NormalOrientation { OUTSIDE, INSIDE }
Protected Member Functions inherited from ACG::GLPrimitive
void | addTriangleToVBO (const ACG::Vec3f *_p, const ACG::Vec3f *_n, const ACG::Vec2f *_tex)
void | addLineToVBO (const ACG::Vec3f *_p, const ACG::Vec3f *_n, const ACG::Vec2f *_tex)
void | bindVBO ()
bool | checkVBO ()
void | unBindVBO ()
Protected Attributes inherited from ACG::GLPrimitive
bool | vboDataInvalid_
NormalOrientation | normalOrientation_

## Detailed Description

Definition at line 218 of file GLPrimitives.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/GL/GLPrimitives.hh
- OpenFlipper/libs_required/ACG/GL/GLPrimitives.cc